<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.miaxis.fdj.mapper.Fdj50hzInfoMapper">

    <resultMap type="Fdj50hzInfo" id="Fdj50hzInfoResult">
        <result property="id"    column="id"    />
        <result property="fdjModel"    column="fdj_model"    />
        <result property="standardSeam"    column="standard_seam"    />
        <result property="rate"    column="rate"    />
        <result property="fdjPowerKw"    column="fdj_power_kw"    />
        <result property="fdjPowerKva"    column="fdj_power_kva"    />
        <result property="singleFulcrumPrice"    column="single_fulcrum_price"    />
        <result property="doubleFulcrumPrice"    column="double_fulcrum_price"    />
        <result property="packingBoxPrice"    column="packing_box_price"    />
        <result property="instrumentBoxPrice"    column="instrument_box_price"    />
        <result property="airSwitchPrice"    column="air_switch_price"    />
        <result property="openParms"    column="open_parms"    />
        <result property="weight"    column="weight"    />
        <result property="updateTime"    column="update_time"    />
        <result property="createTime"    column="create_time"    />
    </resultMap>

    <sql id="selectFdj50hzInfoVo">
        select * from fdj_50hz_info
    </sql>

    <select id="selectFdj50hzInfoList" parameterType="Fdj50hzInfo" resultMap="Fdj50hzInfoResult">
        <include refid="selectFdj50hzInfoVo"/>
        <where>
            <if test="fdjModel != null  and fdjModel != ''"> and fdj_model = #{fdjModel}</if>
            <if test="standardSeam != null  and standardSeam != ''"> and standard_seam = #{standardSeam}</if>
            <if test="rate != null "> and rate = #{rate}</if>
            <if test="fdjPowerKw != null "> and fdj_power_kw = #{fdjPowerKw}</if>
            <if test="fdjPowerKva != null "> and fdj_power_kva = #{fdjPowerKva}</if>
            <if test="singleFulcrumPrice != null  and singleFulcrumPrice != ''"> and single_fulcrum_price = #{singleFulcrumPrice}</if>
            <if test="doubleFulcrumPrice != null  and doubleFulcrumPrice != ''"> and double_fulcrum_price = #{doubleFulcrumPrice}</if>
            <if test="packingBoxPrice != null  and packingBoxPrice != ''"> and packing_box_price = #{packingBoxPrice}</if>
            <if test="instrumentBoxPrice != null  and instrumentBoxPrice != ''"> and instrument_box_price = #{instrumentBoxPrice}</if>
            <if test="airSwitchPrice != null  and airSwitchPrice != ''"> and air_switch_price = #{airSwitchPrice}</if>
            <if test="openParms != null  and openParms != ''"> and open_parms = #{openParms}</if>
            <if test="weight != null  and weight != ''"> and weight = #{weight}</if>
        </where>
    </select>

</mapper>
